Ptex: PtexLruItem Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
PtexLruItem Class Reference

One item in a cache, typically an open file or a block of memory. More...

`#include <PtexCache.h>`

Inheritance diagram for PtexLruItem:

## Public Member Functions
bool | inuse ()
void | orphan ()

## Static Public Member Functions
template<typename T >
static void | orphanList (T &list)

## Protected Member Functions
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()

## Private Attributes
void ** | _parent
PtexLruItem * | _prev
PtexLruItem * | _next

## Friends
class | PtexLruList

## Detailed Description

One item in a cache, typically an open file or a block of memory.

Definition at line 104 of file PtexCache.h.

## Constructor & Destructor Documentation

PtexLruItem::PtexLruItem | ( | void ** | parent = `0` | ) |
| inlineprotected

Definition at line 128 of file PtexCache.h.

virtual PtexLruItem::~PtexLruItem | ( |  | ) |
| inlineprotectedvirtual

Definition at line 130 of file PtexCache.h.

## Member Function Documentation

bool PtexLruItem::inuse | ( |  | ) |
| inline

Definition at line 106 of file PtexCache.h.

void PtexLruItem::orphan | ( |  | ) |
| inline

Definition at line 107 of file PtexCache.h.

Referenced by PtexReader::MetaData::Entry::clear(), PtexReaderCache::get(), orphanList(), PtexReaderCache::purge(), PtexReaderCache::purgeAll(), and PtexReader::~PtexReader().

template<typename T >

static void PtexLruItem::orphanList | ( | T & | list | ) |
| inlinestatic

Definition at line 116 of file PtexCache.h.

References _parent, and orphan().

Referenced by PtexReader::~PtexReader().

## Friends And Related Function Documentation

friend class PtexLruList
| friend

Definition at line 142 of file PtexCache.h.

## Member Data Documentation

PtexLruItem* PtexLruItem::_next
| private

Definition at line 145 of file PtexCache.h.

Referenced by PtexLruList::extract(), and PtexLruList::push().

void** PtexLruItem::_parent
| private

Definition at line 143 of file PtexCache.h.

Referenced by orphanList(), and PtexLruList::push().

PtexLruItem* PtexLruItem::_prev
| private

Definition at line 144 of file PtexCache.h.

Referenced by PtexLruList::extract(), and PtexLruList::push().

The documentation for this class was generated from the following file:

- PtexCache.h